Subject: RE: need help with running a C compiler on Cygnus
From: "Schaible, Joerg" <[email-masked]>
To: pierre emmanuel godet <[email-masked]>
Cc: cygwin-list <[email-masked]>
Date: Tue, 26 Sep 2000 16:08:40 +0200

Hi Pierre,

> Thanks a lot for your answer;

you would have been more lucky, if you've sent you're request again to the
list instead of me only ...

> Now I have more information with my problem:
> I want to use a file on C\cygnus\lx\lx_1_05_cs_nt\bin\cc.exe

You don't mension, how you got to this special version of cc nor what's
wrong with it. Looking at you're .bashrc below I have the impression that
you're using an old Cygwin version of B20.x. But this distribution didn't
had any cygnus/lx/* paths. cc was IMHO installed by default in
h-i586-cygwin32/bin, but I have no B20 version anymore to verify anything of
this.

BTW: You didn't export PATH, but I do not know either wether it is necessary
or not.

Greetings,
Jörg

> and my bashrc file is :
not stripped, may be someone else on the list have more insight

> 
> 
> # ~/.bashrc
> # executed by login and subshells
> #-------------------------------------------------------------
> ---------
> 
> # Limit coredumps to zero bytes
> # ulimit -c 0
> 
> #-------------------------------------------------------------
> ---------
> # Other settings
> umask 022
> 
> #export GNUROOT=/Cygnus/cygwin-b20/H-i586-cygwin32
> export GNUROOT=/Cygnus/lx/lx_1_05_cs_nt/bin
> 
> export HOME=/d/frb
> #export 
> PATH=$GNUROOT/bin:/bin:/usr/bin:/usr/local/bin:$HOME/bin:/prot
> o/compiler/bin:/Cygnus/lx/lx_1_05_cs_nt/bin
> .
> export TERM=ansi
> 
> PS1="\w[\!]> "
> 
> #export CYGWIN_TTY=1
> #export CYGWIN_SIGCHLD=1
> 
> alias ls="ls -F"
> alias m="less"
> alias h="history"
> alias rm="rm -i"
> alias mv="mv -i"
> alias cp="cp -i"
> alias pd="pushd"
> alias ff="find . -name"
> alias Lxcc_em="/proto/compiler/host/usr/compiler/lx_em/bin/cc"
> #alias Lxcc="/proto/compiler/host/usr/compiler/lx/bin/cc"
> alias Lxcc="/Cygnus/lx/host/usr/compiler/lx/bin/cc"
> 
> alias which="type"
> 
> cd $HOME
> #-------------------------------------------------------------
> ---------
> # end of ~/.bashrc
> 
> # /bin/tcsh
> 
> I hope it's enough clear for you....
> Thanks a lot again for your help
> 
> 
> extra :
> for you, an internationnal joke :
> A man ask an other: what time is it.
> He answers it's two to two.
> are you A trumpet.
> 
> 
> 
> Pierre emmanuel
> 
> ______________________________________________________________
> ___________
> Get Your Private, Free E-mail from MSN Hotmail at 
http://www.hotmail.com.

Share information about yourself, create your own public profile at 
http://profiles.msn.com.

--
Want to unsubscribe from this list?
Send a message to [email-masked]